Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] mpirun/exec requires ssh?
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2009-03-25 07:49:13


On Mar 24, 2009, at 4:24 PM, Simone Pellegrini wrote:

> @eNerd:~$ mpirun --np 2 ls
> mpirun: symbol lookup error: mpirun: undefined symbol: orted_cmd_line
>

FWIW, this sounds like a version mismatch or some kind. If you're
getting "undefined symbol" errors, then it's quite possible/probable
that you're somehow mixing multiple different versions of Open MPI.
You might want to double and triple check all your PATH and
LD_LIBRARY_PATH settings. "make uninstall" *should* work to get rid
of an old OMPI install, but as Ralph says, it's definitely safer to rm
-rf the tree containing the old Open MPI installation and/or install
new versions of Open MPI in entirely new trees.

-- 
Jeff Squyres
Cisco Systems